Skip to main content
`Ctrl`+`K`

# DMShellSetGlobalToLocalVecScatter

Sets a `VecScatter` context for global to local communication

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalToLocalVecScatter(DM dm, VecScatter gtol)

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- gtol - the global to local `VecScatter` context

## See Also

`DM`, `DMSHELL`, `DMShellSetGlobalToLocal()`, `DMGlobalToLocalBeginDefaultShell()`, `DMGlobalToLocalEndDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages